#!/sbin/ksh

#NOTE: The commands output are redirected to /dev/null so that cron will
#      not generate a mail message to root.

AUTOEXEC_CMD="`/twc/bin/db_exp -F c_cron_autoexec_cmd -s dif /twc/dif/wxl_dif`"
if [ "${AUTOEXEC_CMD}" ]
then
	#clear the entry so we will not execute it again.
	/twc/bin/db_imp -d -r -s dif /twc/dif/wxl_dif /twc/scripts/null_cron_autoexec.txt >/dev/null

	#execute the request
	/sbin/ksh -c "${AUTOEXEC_CMD}" >/dev/null
fi
